body {background: url("../imgs/marmore-preto2.jpg") top center / contain;}

.titlepage {font: 40px montserrat-bold; line-height: 45px; color: var(--bege);text-align: center; padding: 50px 0; margin-top: var(--menu); position: relative;}
.titlepage:after {content: ""; display: block; width: 50px; height: 100px; margin: 20px auto 0; background: url("../imgs/gn.png") no-repeat center / contain;}

:root {
    --margin: 25px;
    --img: 350px;
    --imgVertical: calc(var(--img) + var(--margin));
    --imgHorizontal: calc(var(--img) / 2);
}

.images {column-count: 4;gap: var(--margin)}
.images img{display: flex; width: 100%;max-width: 100%;margin-bottom: var(--margin);border-radius: 20px;animation: revealScale linear both;animation-timeline: view(); animation-range: entry 10% contain 25%;}
.images img.horizontal{height: var(--imgHorizontal);}
.images img.vertical  {height: var(--imgVertical);}

.imgopen {position: fixed; z-index: 11;width: 100vw; height: 100vh; background: #000B; top: 0; left: 0;display: flex; justify-content: center; align-items: center;}
.imgopen .close {font: 40px montserrat-bold; color: var(--white); position: fixed; top: 0;width: 100vw; height: 100vh; background: #3d0808df; display: flex; justify-content: flex-end; align-items: flex-start; box-sizing: border-box; padding: 40px 50px;}
.imgopen .close p {cursor: pointer;}

.imgopen .seta {font: 40px montserrat-bold; width: 50px; height: 50px; color: var(--white); position: fixed;transform: translateY(-50%); top: 50%; background: red;  cursor: pointer;}
.imgopen .seta.prev{left: 10px;}
.imgopen .seta.prox{right: 10px;}

.solicitar {display: flex; justify-content: center; align-items: center;padding: 160px 0;}
.solicitar .button {font: 22px montserrat-bold; transition: .3s; width: fit-content; box-sizing: border-box; padding: 10px 30px;  border-radius: 20px; background: var(--bege); color: var(--black); display: flex; align-items: center; justify-content: center; cursor: pointer;text-decoration: none;}
.solicitar .button:hover {background: var(--bege-hover); box-shadow: inset 2px 1px 7px #00000033; transform: scale(0.98);}


@keyframes revealScale {
    from { 
        transform: scale(0.6);
        opacity: 0.1; 
    }
    to { 
        transform: scale(1);
        opacity: 1; 
    }
}


@media (max-width: 1200px) {
    :root {
        --margin: 20px;
        --img: 320px;
    }
}
@media (max-width: 1050px) {
    :root {
        --img: 300px;
    }
}

@media (max-width: 990px) {
    :root {
        --margin: 25px;
        --img: 400px;
    }

    .titlepage {font-size: 25px; line-height: 30px; padding: 7vh 0;}
    .titlepage br {display: none;}
    .titlepage:after {margin: 2vh auto 0; width: 10vw; height: 20vw;}

    .images {column-count: 3;}

    .solicitar .button {font-size: 16px;}
}

@media (max-width: 830px) {
    :root {
        --img: 330px;
    }
}

@media (max-width: 676px) {
    :root {
        --margin: 4vw;
        --img: 57vw;
    }
    .images {column-count: 2;}
    .solicitar {padding: 10vh 0;}

}